# Overview

The MicroEJ Central Repository.

Please read carefully the `NOTICE.txt` file.

For more information about its content, please visit [https://docs.microej.com/en/latest/SDKUserGuide/repository.html](https://docs.microej.com/en/latest/SDKUserGuide/repository.html).

# Usage

This repository is automatically installed to https://repository.microej.com/modules/.
Modules can be imported using the default MicroEJ Module Manager configuration provided by the SDK.

For an offline use:

  - Import the module repository (Select `File > Import > MicroEJ > Module Repository`) and browse the repository ZIP file
  - Clean Ivy cache and resolve all dependencies (Right click on a project then select `Ivy > Clean all caches`)
  - Clean all projects and rebuild the workspace (Select `Project > Clean > Clean all projects > Clean`)

# Requirements

MicroEJ SDK `5.0.0` or higher.

# Dependencies

_All dependencies are retrieved transitively by MicroEJ Module Manager_.

# Source

N/A.

# Restrictions

None.

---
_Copyright 2018-2022 MicroEJ Corp. All rights reserved._  
_Use of this source code is governed by a BSD-style license that can be found with this software._  